Package com.smartgwt.client.util

# Class ConfigUtil

java.lang.Object
com.smartgwt.client.util.ConfigUtil

public class ConfigUtil extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONFIG_PROPERTIES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getSimpleClassName(Class targetClass)`
  `static void`
  `setUseWarningsForConfigurationErrors(boolean useWarnings)`
  When set true, prevents IllegalStateException from being thrown when a configuration properties object is instantiated prior to being passed in to configure another object.
  `static void`
  `warnOfPostConfigInstantiation(Class callerClass, String callerMethodName, String configTypeName)`
  `static void`
  `warnOfPreConfigInstantiation(Class callerClass, String callerMethodName, Class configClass)`
  `static void`
  `warnOfPreConfigInstantiation(Class callerClass, String callerMethodName, String configTypeName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONFIG_PROPERTIES

    public static final String CONFIG_PROPERTIES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigUtil

    public ConfigUtil()

- ## Method Details

  - ### getSimpleClassName

    public static String getSimpleClassName(Class targetClass)

  - ### warnOfPreConfigInstantiation

    public static void warnOfPreConfigInstantiation(Class callerClass, String callerMethodName, Class configClass)

  - ### warnOfPreConfigInstantiation

    public static void warnOfPreConfigInstantiation(Class callerClass, String callerMethodName, String configTypeName)

  - ### warnOfPostConfigInstantiation

    public static void warnOfPostConfigInstantiation(Class callerClass, String callerMethodName, String configTypeName)

  - ### setUseWarningsForConfigurationErrors

    public static void setUseWarningsForConfigurationErrors(boolean useWarnings)
    When set true, prevents IllegalStateException from being thrown when a configuration properties object is instantiated prior to being passed in to configure another object. A warning will be logged in this case instead of throwing an exception.
    Parameters:
      `useWarnings` - whether to report all config errors as warnings rather than exceptions